Skip to main content

The ExpenseClaimItem, is an expense that has been declared (within an expense report) by its owner (the user who made the expense).

purchasedOn
string<date-time>
required

Day the expense was made.

expenseNatureId
integer
required

Nature of the expense: Meals, Train, Taxi, Hotels, Taxi, Mileage... List depends on the app configuration.

Required range: x >= 0
id
integer
read-only
Required range: x >= 0
expenseClaimId
integer
read-only

Id of the expense claim in which the item is contained.

Required range: x >= 0
lineNumber
integer

Incremental number used to order expense claim items in an expense claim

Required range: x >= 0
isControlled
boolean

if the item has been controlled

createdOn
string<date-time>

Date-time the item was created. Corresponds to the submition date of the expense claim.

modifiedOn
string<date-time>

Date-time the item was last modified.

originalTransaction
object

Expense amount in original currency.

processedAmounts
object
read-only

Various amounts in the establishment's currency.

mileage
object

Additional information when the expense type is mileage.

quantity
integer
default:1

The quantity when the expense type is 'Quantity'.

Required range: x >= 1
effectiveQuantity
integer
read-only

Calculated quantity when the expense type is 'Quantity' or 'Invitations' (number of attendees).

Required range: x >= 1
attendees
object

Additional information when the expense type is 'Invitation'.

axisSections
The Axis Section resource · object[] | null

Axis sections values.

customFields
object

Values for custom fields.

merchant
string | null

Merchant of the expense.

comment
string | null
expenseReceipts
ExpenseReceipt · object[] | null

The expense receipts (PDF file, image, ...) attached to this expense. Technically, there could be more than one, but in reality, there’s usually just one.

Important: to attach a receipt when creating or updating an expense, you must first upload the file via POST /lucca-files/api/uploads, then create an ExpenseReceipt via POST /api/v3/expenseReceipts (providing the uploadId), and finally reference the receipt by its id here. Passing the file upload ID directly will result in a 403 Forbidden error. See the Attaching receipts guide.

authorizedActions
object
read-only

Authorized actions on the expense for the current user.

sourceId
SourceId · object

The source describes how the expense was created:

  • 0: Legacy
  • 1: OldImport
  • 2: ImportByCb
  • 3: ImportByNature
  • 4: Anytime
  • 5: BudgetInsight
  • 6: Api
  • 7: Ocr
  • 8: Reconciliation
  • 9: InvoiceAggregator
  • 10: EmailAttachments
  • 11: FtpStatementImport
  • 12: CleemyPayment
source
Enum · object
ownerId
integer

Unique identifier of the user that made this expense.

paymentMethodId
enum<integer>

How this expense was made: the owner used his money, an enterprise debit card, or a Cleemy card:

  • 0: User
  • 1: CorporateCard
  • 3: Cleemy Card
Available options:
0,
1,
3